Bug 84036 - Remove BlobBuilder
Summary: Remove BlobBuilder
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on: 84555
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 07:53 PDT by Simon Pieters
Modified: 2012-04-30 14:10 PDT (History)
13 users (show)

See Also:


Attachments
Patch (12.43 KB, patch)
2012-04-29 19:04 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (14.41 KB, patch)
2012-04-30 11:58 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (14.42 KB, patch)
2012-04-30 13:24 PDT, Sam Weinig
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Pieters 2012-04-16 07:53:14 PDT
Please remove BlobBuilder (currently prefixed WebKitBlobBuilder). It has been replaced with the Blob() constructor in the File API spec.

Also see https://bugzilla.mozilla.org/show_bug.cgi?id=744907
Comment 1 Alexey Proskuryakov 2012-04-16 22:01:26 PDT
<rdar://problem/11261686>
Comment 2 Sam Weinig 2012-04-22 16:29:27 PDT
Given that Chrome has shipped WebKitBlobBuilder for while, we will have to tred carefully here.  As a first step, we should probably just implement the Blob constructor.
Comment 3 Sam Weinig 2012-04-22 16:57:27 PDT
I filed https://bugs.webkit.org/show_bug.cgi?id=84555 to track adding the Blob constructor.
Comment 4 Sam Weinig 2012-04-29 19:04:28 PDT
Created attachment 139412 [details]
Patch
Comment 5 Sam Weinig 2012-04-29 19:06:35 PDT
This patch adds a flag, ENABLE_LEGACY_WEBKIT_BLOB_BUILDER, to control exposing the WebKitBlobBuilder. (It doesn't control whether the C++ class is compiled, as that is used internally).  It also disables WebKitBlobBuilder on the Mac port, since we have never shipped it, it doesn't make sense to keep it enabled.
Comment 6 Gustavo Noronha (kov) 2012-04-29 19:11:15 PDT
Comment on attachment 139412 [details]
Patch

Attachment 139412 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12582102
Comment 7 Sam Weinig 2012-04-30 11:58:53 PDT
Created attachment 139499 [details]
Patch
Comment 8 Ms2ger (he/him; ⌚ UTC+1/+2) 2012-04-30 12:34:48 PDT
{ option => "legacy-notifications", desc => "Toggle Legacy WebKitBlobBuilder Support",

Is that first string correct?
Comment 9 Anders Carlsson 2012-04-30 13:21:58 PDT
Comment on attachment 139499 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=139499&action=review

> Tools/Scripts/build-webkit:271
> +    { option => "legacy-notifications", desc => "Toggle Legacy WebKitBlobBuilder Support",
> +      define => "ENABLE_LEGACY_NOTIFICATIONS", default => (isGtk() || isChromium() || isBlackBerry()), value => \$legacyWebKitBlobBuilderSupport },

I don't think this is the right option name...
Comment 10 Sam Weinig 2012-04-30 13:24:16 PDT
Created attachment 139507 [details]
Patch
Comment 11 Sam Weinig 2012-04-30 14:10:49 PDT
Committed r115666: <http://trac.webkit.org/changeset/115666>